import java.util.List;

public class ArrayDesc extends ContentDesc {
	
	private ClassDesc classDesc;
	private List<Object> elements;
	
	public ArrayDesc(ClassDesc classDesc, List<Object> elements) {
		this.classDesc = classDesc;
		this.elements = elements;
	}
	
	public ClassDesc getClassDesc() {
		return classDesc;
	}
	
	public List<Object> getElements() {
		return elements;
	}
	
	public String getElementType() {
		return classDesc.getArrayElementTypeName();
	}
	
}
